Xmanager 게시판

Java 3D WARNING 문제

최종입력: 2011-02-23 17:13 - 넷사랑 | 답글: 3건

 
2011-02-18 09:47 - 임종명

Java 3D WARNING 문제

 
안녕하세요..
Xmanager 3.0을 사용하고 있습니다.

사용하려고하는 프로그램은 IDV입니다.
실행시 문제는 OPENGL에 관한 것이었고 아래에서 해결방법을 검색결과 찾았습니다.

/forum/xmanager/11060/xmanager_3에서_프로그램_실행이_안됩니다.

엔터프라이즈 버전(3.0)으로 다시 설치하여 실행해 보았는데 아래와 같은 동일한 에러가 발생합니다.
해결방안에 대해 도와 주시면 갑사하겠습니다..

지금 스탠다드를 구입하여 쓰고 있는데 엔터프라이즈 버전으로 어떻게업그레이드 하는지 알려주세요. 다시 프로그램을 구매하여야 하는지?


Java 3D WARNING : reported GLX version = 1.2
GLX version 1.3 or higher is required
The reported version number may be incorrect. There is a known
ATI driver bug in glXQueryVersion that incorrectly reports the GLX
version as 1.2 when it really is 1.3, so Java 3D will attempt to
run anyway.
Java 3D ERROR : OpenGL 1.2 or better is required (GL_VERSION=1.1)
javax.media.j3d.IllegalRenderingStateException: GL_VERSION
at javax.media.j3d.NativePipeline.createQueryContext(Native Method)
at javax.media.j3d.NativePipeline.createQueryContext(NativePipeline.java:2794)
at javax.media.j3d.Canvas3D.createQueryContext(Canvas3D.java:4925)
at javax.media.j3d.Canvas3D.createQueryContext(Canvas3D.java:3678)
at javax.media.j3d.Renderer.doWork(Renderer.java:479)
at javax.media.j3d.J3dThread.run(J3dThread.java:275)

DefaultRenderingErrorListener.errorOccurred:
CONTEXT_CREATION_ERROR: Renderer: Error creating Canvas3D graphics context for queryProperties()
graphicsDevice = X11GraphicsDevice[screen=0]
canvas = javax.media.j3d.Canvas3D[canvas0,0,0,0x0,invalid]
This version of Java3D can't query "textureWidthMax/textureHeightMax"
so they are being assigned the default values:
textureWidthMax: 1024
textureHeightMax: 1024
If images render as a 'grey-box', try setting these parameters
to a lower value, eg. 512, with '-DtextureWidthMax=512'
Otherwise check your graphics environment specifications


제품명 : Xmanager 3.0
연결 방법 : XDMCP connection
2011-02-18 18:05 - 넷사랑

Re: Java 3D WARNING 문제

 
안녕하십니까?
넷사랑컴퓨터 기술지원입니다.

겪고 계시는 문제는 Xmaanger 3 엔터프라이즈 버전을 사용하시면 해결할 수 있는 문제입니다.
우선 저희 홈페이지에서 평가 버전을 사용해 보십시오.
업그레이드는 구매 페이지에서 엔터프라리즈 업그레이드 버전을 구매하시면 됩니다.

감사합니다.
2011-02-18 22:17 - 임종명

Re: Java 3D WARNING 문제

 
엔터프라이즈 버전을 설치했는데 마찬가지 결과입니다..
2011-02-23 17:13 - 넷사랑

Re: Java 3D WARNING 문제

 
안녕하십니까?
넷사랑컴퓨터 기술지원입니다.

Xmanager 엔터프라이즈로 테스트하신다는 부분을 제대로 보지 못했습니다.

보내 주신 메시지 상으로는 OpenGL 버전이 1.3 이상이 되어야 하는 것 같습니다.
아쉽게도 Xmanager는 OpenGL 버전이 1.2입니다.
이 문제 때문이라면 Xmanager의 OpenGL 버전이 업그레이드 되는 것을 기다리셔야 할 것 같습니다.

감사합니다.